#!/bin/sh
# *******************************************************************************
#  Licensed Materials - Property of IBM
#  (c) Copyright IBM Corporation 2006, 2012. All Rights Reserved.
#
#  Note to U.S. Government Users Restricted Rights:
#  Use, duplication or disclosure restricted by GSA ADP Schedule
#  Contract with IBM Corp.
#  *******************************************************************************
# NLS_MESSAGEFORMAT_NONE
# NLS_ENCODING=UTF-8


# #############################################################
# #
# # Zdefiniuj zmienne środowiskowe odpowiadające parametrom
# # skryptu rm_upgrade.sh i ich domyślnym wartościom
# #
# #===========================================================
# #
# # Ten plik jest odczytywany na początku wykonania skryptu
# # rm_upgrade.sh. Ustawia on po jednej zmiennej
# # środowiskowej dla każdego poprawnego parametru
# # o zdefiniowanej wstępnie wartości domyślnej.
# #
# # Użytkownicy mogą modyfikować wartość domyślną w celu
# # uruchomienia skryptu rm_upgrade.sh z własnymi
# # wartościami bez konieczności ręcznego wprowadzania
# # parametru i jego odpowiedniej wartości w wierszu komend.
# #
# # OSTRZEŻENIE:
# # Nie wszystkie zmienne są wymagane dla każdej
# # aplikacji.  Należy przeczytać uważnie każdy komentarz przed
# # zmodyfikowaniem wartości.
# #
# #############################################################

# Parametr: -oldApplicationHome
# Składnia: -oldApplicationHome <ścieżka do katalogu>
# Opis:
# 	Pełna ścieżka do katalogu głównego aplikacji w starszej instalacji.
# Wartość domyślna:
# 	<brak>
# Ograniczenia:
#  - to jest parametr obowiązkowy
#  - <ścieżka do katalogu> musi być ścieżką do istniejącego katalogu zakończoną łańcuchem server/conf
#     np. /Jazz/IBM/RRC_3.x/jazz/server/conf
#
OLD_APPLICATION_HOME=

# Parametr: -applicationContextRoot
# Składnia: -applicationContextRoot<katalog główny>
# Opis:
# 	Kontekstowy katalog główny aplikacji.
# Wartość domyślna:
# 	rm
# Ograniczenia:
#  - <katalog główny> musi być poprawną nazwą pojedynczego katalogu (tzn. bez początkowego ukośnika)
#
APPLICATION_CONTEXT_ROOT=

# Parametr: -oldJTSHome
# Składnia: -oldJTSHome <ścieżka do katalogu>
# Opis:
#  Pełna ścieżka do katalogu głównego serwera JTS w starszej instalacji.
# Wartość domyślna:
#  <brak>
# Ograniczenia:
#  - <ścieżka do katalogu> musi być ścieżką do istniejącego katalogu zakończoną łańcuchem server/conf
#  - Używany tylko w przypadku aktualizacji aplikacji RM i serwera JTS.
#
OLD_JTS_HOME=

# Parametr: -oldJTSContextRoot
# Składnia: -oldJTSContextRoot <katalog główny>
# Opis:
# 	Kontekstowy katalog główny serwera JTS dla starej instalacji.
# Wartość domyślna:
# 	jts
# Ograniczenia:
#  - akceptowany tylko w przypadku aktualizacji aplikacji RM
#  - <katalog główny> musi być poprawną nazwą pojedynczego katalogu (tzn. bez początkowego ukośnika)
#
OLD_JTS_CONTEXT_ROOT=

# Parametr: -updateTomcatFiles
# Składnia: -updateTomcatFiles <yes | no>
# Opis:
# 	Określa, czy mają być aktualizowane pliki konfiguracyjne serwera Tomcat.
# Wartość domyślna:
# 	yes
# Ograniczenia:
#  - jedyne poprawne wartości to yes i no
#
UPDATE_TOMCAT_FILES=yes

# Parametr: -oldApplicationTomcatHome
# Składnia: -oldApplicationTomcatHome <ścieżka do katalogu>
# Opis:
#  Pełna ścieżka do katalogu głównego serwera Tomcat aplikacji w starszej instalacji.
# Wartość domyślna:
# 	<brak>
# Ograniczenia:
#  - akceptowany jedynie w przypadku aktualizacji aplikacji RM
#  - ścieżka musi wskazywać istniejący katalog
#
OLD_TOMCAT_HOME=

# Parametr: -oldJTSTomcatHome
# Składnia: -oldJTSTomcatHome <ścieżka do katalogu>
# Opis:
#  Pełna ścieżka do katalogu głównego serwera Tomcat dla serwera JTS w starszej instalacji.
# Wartość domyślna:
# 	<brak>
# Ograniczenia:
#  - akceptowany jedynie w przypadku aktualizacji aplikacji RM
#  - ścieżka musi wskazywać istniejący katalog
#
OLD_JTS_TOMCAT_HOME=

# Parametr: -newApplicationHome
# Składnia: -newApplicationHome <ścieżka do katalogu>
# Opis:
# 	Ścieżka do katalogu głównego aplikacji w nowej instalacji.
# Wartość domyślna:
# 	conf
# Ograniczenia:
#  - akceptowany tylko dla aktualizacji aplikacji RTC, QM i RM
#  - jeśli jest akceptowany, jest to parametr obowiązkowy
#  - <ścieżka do katalogu> musi być ścieżką do istniejącego katalogu zakończoną łańcuchem server/conf
#    np. /Jazz/IBM/RRC_3.0/JazzTeamServer/server/conf
#
NEW_APPLICATION_HOME="$START_DIR/conf"

# Parametr: -newJTSHome
# Składnia: -newJTSHome <ścieżka do katalogu>
# Opis:
# 	Pełna ścieżka do katalogu głównego serwera JTS, który będzie używany przez nową instalację.
# Wartość domyślna:
# 	Nowy katalog główny aplikacji
# Ograniczenia:
#  - <ścieżka do katalogu> musi być ścieżką do istniejącego katalogu zakończoną łańcuchem server/conf
#
NEW_JTS_HOME=

# Parametr: -newJTSContextRoot
# Składnia: -newJTSContextRoot <katalog główny>
# Opis:
#  Kontekstowy katalog główny nowego serwera JTS.
# Wartość domyślna:
# 	jts
# Ograniczenia:
#  - <katalog główny> musi być poprawną nazwą pojedynczego katalogu (tzn. bez początkowego ukośnika)
#
JTS_CONTEXT_ROOT=jts

# Parametr: -newApplicationTomcatHome
# Składnia: -newApplicationTomcatHome <ścieżka do katalogu>
# Opis:
# 	Ścieżka do katalogu głównego serwera Tomcat aplikacji w nowej instalacji.
# Wartość domyślna:
# 	<brak>
#
NEW_TOMCAT_HOME=

# Parametr: -newJTSTomcatHome
# Składnia: -newJTSTomcatHome <ścieżka do katalogu>
# Opis:
# 	Ścieżka do katalogu głównego serwera Tomcat dla serwera JTS, który będzie używany przez nową instalację.
# Wartość domyślna:
# 	<brak>
#
NEW_JTS_TOMCAT_HOME=

# Parametr: -noPrompt
# Składnia: -noPrompt
# Opis:
# 	Nie wyświetlaj żadnych potwierdzeń (tzn. zawsze używaj wartości noPrompt) podczas wykonywania komend repotools
# Wartość domyślna:
# 	<brak>
# Ograniczenia:
#  - jedyne poprawne wartości to wartość pusta lub wartość noPrompt
#
# NO_PROMPT=noPrompt
NO_PROMPT=

# Parametr: -overwrite
# Składnia: -overwrite
# Opis:
# 	Wymuszaj nadpisywanie (tzn. zawsze używaj wartości overwrite=yes) podczas wykonywania komend repotools
# Wartość domyślna:
# 	<brak>
# Ograniczenia:
#  - jedyne poprawne wartości to wartość pusta lub wartość overwrite=yes
#
# OVERWRITE=overwrite=yes
OVERWRITE=

# Parametr: -noVerify
# Składnia: -noVerify
# Opis:
# 	Nie przeprowadzaj weryfikacji (tzn. zawsze używaj wartości noVerify) podczas wykonywania komend repotools
# Wartość domyślna:
# 	<brak>
# Ograniczenia:
#  - jedyne poprawne wartości to wartość pusta lub wartość noVerify
#
# NO_VERIFY=noVerify
NO_VERIFY=

# Parametr: -noStepPrompt
# Składnia: -noStepPrompt
# Opis:
#  Nie wyświetlaj podpowiedzi przed każdym krokiem aktualizacji
# Wartość domyślna:
# 	false
#  Ograniczenia:
#  - jedynymi poprawnymi wartościami są true i false
#
# NO_STEP_PROMPT=true
NO_STEP_PROMPT=false

# Parametr: -jtsURL
# Składnia: -jtsURL <publiczny identyfikator URI serwera JTS>
# Opis:
# 	Publiczny identyfikator URI serwera JTS
# Wartość domyślna:
# 	<brak>
# Ograniczenia:
#  - akceptowany tylko dla aktualizacji produktu RM
#  - niezbędny tylko we wdrożeniu rozproszonym, w którym serwer JTS działa w innej instancji serwera niż aplikacja RM
#
JTS_PUBLIC_URL=
